package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DisposizioniAea.
 * @see sicura.entities.DisposizioniAea
 * @author Hibernate Tools
 */
@Stateless
public class DisposizioniAeaHome {

	private static final Log log = LogFactory.getLog(DisposizioniAeaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DisposizioniAea transientInstance) {
		log.debug("persisting DisposizioniAea instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DisposizioniAea persistentInstance) {
		log.debug("removing DisposizioniAea instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DisposizioniAea merge(DisposizioniAea detachedInstance) {
		log.debug("merging DisposizioniAea instance");
		try {
			DisposizioniAea result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DisposizioniAea findById(Integer id) {
		log.debug("getting DisposizioniAea instance with id: " + id);
		try {
			DisposizioniAea instance = entityManager.find(DisposizioniAea.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
